Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.core.query
Class SortQueryBuilder<K>

    java.lang.Object
      org.springframework.data.redis.core.query.SortQueryBuilder<K>

All Implemented Interfaces:
  SortCriterion<K>

    public class SortQueryBuilder<K>

extends Object

Simple builder class for constructing `SortQuery`.

Method Summary
`SortCriterion<K>` | `alphabetical(boolean alpha)`
`SortQuery<K>` | `build()`
`SortCriterion<K>` | `by(String keyPattern)`
`SortCriterion<K>` | `get(String getPattern)`
`SortCriterion<K>` | `limit(long offset, long count)`
`SortCriterion<K>` | `limit(SortParameters.Range range)`
`SortCriterion<K>` | `noSort()`
`SortCriterion<K>` | `order(SortParameters.Order order)`
`static
`<K> SortQueryBuilder<K>`
` | `sort(K key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### sort

    public static <K> SortQueryBuilder<K> sort(K key)

### by

    public SortCriterion<K> by(String keyPattern)

### noSort

    public SortCriterion<K> noSort()

### alphabetical

    public SortCriterion<K> alphabetical(boolean alpha)

  Specified by:
    `alphabetical` in interface `SortCriterion<K>`

### build

    public SortQuery<K> build()

  Specified by:
    `build` in interface `SortCriterion<K>`

### limit

    public SortCriterion<K> limit(long offset,
                                  long count)

  Specified by:
    `limit` in interface `SortCriterion<K>`

### limit

    public SortCriterion<K> limit(SortParameters.Range range)

  Specified by:
    `limit` in interface `SortCriterion<K>`

### order

    public SortCriterion<K> order(SortParameters.Order order)

  Specified by:
    `order` in interface `SortCriterion<K>`

### get

    public SortCriterion<K> get(String getPattern)

  Specified by:
    `get` in interface `SortCriterion<K>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD